package com.huimv.env.environ.controller;

import com.huimv.common.result.Result;
import com.huimv.env.environ.service.IEnviron;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@RequestMapping(value = "/environ")
public class EnvironController {
    @Autowired
    private IEnviron environ;

    /**
     * @Method      : getLastEnviron
     * @Description : 返回最新环保记录
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/12/2       
     * @Time        : 22:25
     */
    @RequestMapping(value = "/getLastEnviron",method = RequestMethod.GET)
    public Result getLastEnviron(){
        //
        return environ.getLastEnviron();
    }
}
